## @brief exception when independent variable is not ascending 
class IndepVarNotAscending(Exception):
  pass

## @brief exception when the order of interplation is incorrect
class InvalidInterpOrder(Exception):
  pass

## @brief exception when given value is not within bounds
class OutOfDomain(Exception):
  pass

## @brief exception when data structure is full
class Full(Exception):
  pass
  
## @brief exception when two sequences are of different size
class SeqSizeMismatch(Exception):
  pass

## @brief exception when given index is not in bounds
class InvalidIndex(Exception):
  pass
