#ifndef LINEADT_H
#define LINEADT_H

#include "PointADT.h"
#include "MapTypes.h"

class LineT 
{
  private: 
    PointT s;
    CompassT o;
    nat L;
  
  public:
    LineT(PointT s, CompassT o, nat l);
    PointT strt() const;
    PointT end() const;
    CompassT orient() const;
    nat len() const;
    LineT flip() const;
    LineT rotate(RotateT r) const;
    LineT translate(int dx, int dy) const;
};

#endif