/**
 * \file GameBoardTypes.h
 * \brief A module providing types for representing a Freecell Solitaire game board.
 * \author Christopher W. Schankula, MacID: schankuc
 * \date April 8th, 2018
*/

#ifndef GAMEBOARDTYPES_H
#define GAMEBOARDTYPES_H

/**
 * \brief Enumerated type representing the three types of card cells in a Freecell Solitaire game board: FreeCell, HomeCell and Tableau cells.
*/
enum CellT {FreeCell, HomeCell, Tableau};

#endif