/**
 * \file CardADT.cpp
 * \brief The implementation of the CardT class.
 * \author Christopher W. Schankula, MacID: schankuc
 * \date April 8th, 2018
*/

#include "CardTypes.h"
#include "../include/CardADT.h"

CardT::CardT(SuitT s, RankT r){
	this->suit = s;
	this->rank = r;
}

SuitT CardT::getSuit(){
	return this->suit;
}

ColourT CardT::getColour(){
	if (this->suit == H || this->suit == D)
		return Red;
	else
		return Black;
}

RankT CardT::getRank(){
	return this->rank;
}