/**
 * \file LanduseMap.h
 * \brief The header file for the LanduseMap type definition.
 * \author Christopher W. Schankula, MacID: schankuc
 * \date March 26th, 2018
*/

#ifndef CARDSTACK_H
#define CARDSTACK_H

#include "CardADT.h"
#include "Stack.h"

/**
 * \brief A Seq2D instance consisting of LanduseT, used for representing land use on a two-dimensional map
*/
typedef Stack<CardT> CardStackT;

#endif